summaryrefslogtreecommitdiffstats
path: root/system/conky/conky.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-21 23:45:38 -0400
committer Chess Griffin <chess@chessgriffin.com>2010-05-23 23:10:22 -0500
commitbff1d0ce570cbbac28618ac491bcdf4323c517de (patch)
tree7f0a99d1ff601835cadff65041ed321b7e154183 /system/conky/conky.SlackBuild
parentbd0382d8dc8c6763ffe74245d6bce2ff868a8c43 (diff)
downloadslackbuilds-bff1d0ce570cbbac28618ac491bcdf4323c517de.tar.gz
slackbuilds-bff1d0ce570cbbac28618ac491bcdf4323c517de.tar.xz
Revert "system/conky: Removed (build failure)"
This reverts commit 4e8bfcc04205d55df1e283e93243a163d7a288f2. Fix SlackBuild so conky builds on -current by removing the --enable-audacious=yes configure option; miscellaneous script cleanups.
Diffstat (limited to 'system/conky/conky.SlackBuild')
-rw-r--r--system/conky/conky.SlackBuild99
1 files changed, 99 insertions, 0 deletions
diff --git a/system/conky/conky.SlackBuild b/system/conky/conky.SlackBuild
new file mode 100644
index 0000000000..1de7b4a8ec
--- /dev/null
+++ b/system/conky/conky.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for conky
+
+# Written by M.Dinslage contact: daedra1980@gmail.com
+
+PRGNAM=conky
+VERSION=1.8.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LBIDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LBIDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LBIDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ "${LUA:-yes}" = "yes" ]; then
+ lua="--enable-lua --enable-lua-cairo --enable-imlib2 --enable-lua-imlib2"
+else
+ lua="--disable-lua"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LBIDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-weather-xoap \
+ --enable-mpd=yes \
+ --enable-rss=yes \
+ --enable-wlan=yes \
+ $lua \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ;
+ rm $i ; done
+
+# Move existing config file
+mv $PKG/etc/conky/conky.conf $PKG/etc/conky/conky.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ doc/*.html extras/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}